gdcm::Value Class Referenceabstract

Class to represent the value of a Data Element. More...

`#include <gdcmValue.h>`

Inheritance diagram for gdcm::Value:
[legend]
Collaboration diagram for gdcm::Value:
[legend]

## Public Member Functions

| Value ()=default
| ~Value () override=default
virtual void | Clear ()=0
virtual VL | GetLength () const =0
virtual bool | operator== (const Value &val) const =0
virtual void | SetLength (VL l)=0
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions

virtual void | SetLengthOnly (VL l)
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Friends

class | DataElement

## Detailed Description

Class to represent the value of a Data Element.

Note
  VALUE: A component of a Value Field. A Value Field may consist of one or more of these components.

## Constructor & Destructor Documentation

## Value()

gdcm::Value::Value | ( |  | ) |

default

Referenced by gdcm::ByteValue::operator==(), gdcm::SequenceOfFragments::operator==(), gdcm::SequenceOfItems::operator==(), and operator==().

## ~Value()

gdcm::Value::~Value | ( |  | ) |

override default

## Member Function Documentation

## Clear()

virtual void gdcm::Value::Clear | ( |  | ) |

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

## GetLength()

virtual VL gdcm::Value::GetLength | ( |  | ) | const

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

Referenced by gdcm::DataSet::InsertDataElement(), and gdcm::DataElement::SetValue().

## operator==()

virtual bool gdcm::Value::operator== | ( | const Value & | val | ) | const

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

References Value().

## SetLength()

virtual void gdcm::Value::SetLength | ( | VL | l | ) |

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfFragments, and gdcm::SequenceOfItems.

## SetLengthOnly()

virtual void gdcm::Value::SetLengthOnly | ( | VL | l | ) |

protected virtual

Reimplemented in gdcm::ByteValue.

## Friends And Related Symbol Documentation

## DataElement

friend class DataElement

friend

References DataElement.

Referenced by DataElement.

The documentation for this class was generated from the following file:

- gdcmValue.h